=== debian/changelog ===
ros-melodic-pilz-trajectory-generation (0.4.14-1bionic) bionic; urgency=high

  * Deprecate this package since the planner has been integrated into [moveit](https://moveit.ros.org/documentation/planners/).
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 21 Jul 2021 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.13-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 11 Jul 2021 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.12-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 23 Nov 2020 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.11-1bionic) bionic; urgency=high

  * Fix CodeCoverage warnings (Remove warnings on normal builds).
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 15 Jul 2020 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.10-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.9-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 27 Nov 2019 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.8-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 21 Nov 2019 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.7-1bionic) bionic; urgency=high

  * Fix clang-tidy issues
  * integrate clang-tidy via CMake flag
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 09 Sep 2019 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.6-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Sep 2019 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.5-1bionic) bionic; urgency=high

  * Adapt to changes in pilz_robots
  * add static code analyzing (clang-tidy)
  * drop deprecated isRobotStateEqual()
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 02 Sep 2019 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.4-1bionic) bionic; urgency=high

  * fixed an error that led to trajectories not strictly increasing in time
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 18 Jun 2019 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.3-1bionic) bionic; urgency=high

  * update dependencies of trajectory_generation
  * fix CIRC path generator and increase test coverage
  * adopt strictest limits in ptp planner (refactor JointLimitsContainer and TrajectoryGeneratorPTP)
  * Enable gripper commands inside a sequence
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 07 Apr 2019 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.2-1bionic) bionic; urgency=high

  * re-adapt to new RobotState API: remove #attempts
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 12 Mar 2019 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.1-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 26 Feb 2019 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.4.0-1bionic) bionic; urgency=high

  * Use Eigen::Isometry3d to keep up with the recent changes in moveit
  * Contributors: Chris Lalancette

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Mon, 17 Dec 2018 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.3.6-1bionic) bionic; urgency=high

  * refactor the testdataloader
  * adapt to new RobotState API: remove #attempts
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 25 Feb 2019 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.3.5-1bionic) bionic; urgency=high

  * Increase line coverage for blending to 100%
  * refactor determining the trajectory alignment in the blend implementation
  * extend and refactor unittest of blender_transition_window
  * add planning group check to blender_transition_window
  * add more details to blend algorithm description
  * change handling of empty sequences in capabilities to be non-erroneous
  * rename command_planner -> pilz_command_planner
  * use pilz_testutils package for blend test
  * use collision-aware ik calculation
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 05 Feb 2019 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.3.1-1bionic) bionic; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Sun, 16 Dec 2018 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.3.0-1bionic) bionic; urgency=high

  * add append method for avoiding duplicate points in robot_trajectory trajectories
  * Relax the precondition on trajectory generators from v_start==0 to |v_start| < 1e-10 to gain robustness
  * Set last point of generated trajectories to have vel=acc=0 to match the first point.
  * add sequence action and service capabilities to concatenate multiple requests
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 27 Nov 2018 23:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.2.2-1bionic) bionic; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 25 Sep 2018 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.2.1-1bionic) bionic; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Mon, 24 Sep 2018 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.2.0-1bionic) bionic; urgency=high

  * Changes for melodic
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Thu, 13 Sep 2018 22:00:00 -0000

ros-melodic-pilz-trajectory-generation (0.1.1-1bionic) bionic; urgency=high

  * port to melodic
  * drop unused dependencies
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Mon, 24 Sep 2018 22:00:00 -0000


