=== debian/control ===
Source: ros-melodic-pilz-trajectory-generation
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-code-coverage, ros-melodic-eigen-conversions, ros-melodic-kdl-conversions, ros-melodic-moveit-core, ros-melodic-moveit-msgs, ros-melodic-moveit-ros-move-group, ros-melodic-moveit-ros-planning, ros-melodic-moveit-ros-planning-interface, ros-melodic-orocos-kdl, ros-melodic-pilz-extensions, ros-melodic-pilz-industrial-motion-testutils, ros-melodic-pilz-msgs, ros-melodic-pilz-testutils, ros-melodic-pluginlib, ros-melodic-prbt-moveit-config, ros-melodic-prbt-pg70-support, ros-melodic-prbt-support, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-rosunit, ros-melodic-tf2, ros-melodic-tf2-eigen, ros-melodic-tf2-geometry-msgs
Homepage: https://wiki.ros.org/pilz_trajectory_generation
Standards-Version: 3.9.2

Package: ros-melodic-pilz-trajectory-generation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-eigen-conversions, ros-melodic-kdl-conversions, ros-melodic-moveit-core, ros-melodic-moveit-msgs, ros-melodic-moveit-ros-move-group, ros-melodic-moveit-ros-planning, ros-melodic-moveit-ros-planning-interface, ros-melodic-orocos-kdl, ros-melodic-pilz-extensions, ros-melodic-pilz-msgs, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-tf2, ros-melodic-tf2-eigen, ros-melodic-tf2-geometry-msgs
Description: The pilz_trajectory_generation package containing the MoveIt! plugin pilz_command_planner.
